<?xml version="1.0"?>
<!-- ***** BEGIN LICENSE BLOCK *****
   - Version: MPL 1.1/GPL 2.0/LGPL 2.1
   -
   - The contents of this file are subject to the Mozilla Public License Version
   - 1.1 (the "License"); you may not use this file except in compliance with
   - the License. You may obtain a copy of the License at
   - http://www.mozilla.org/MPL/
   -
   - Software distributed under the License is distributed on an "AS IS" basis,
   - WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
   - for the specific language governing rights and limitations under the
   - License.
   -
   - The Original Code is MozGest Toolbar.
   -
   - The Initial Developer of the Original Code is Andy Edmonds.
   - Portions created by the Initial Developer are Copyright (C) 2001
   - the Initial Developer. All Rights Reserved.
   -
   - Contributor(s):
   -  Andy Edmonds <aedmonds@mindspring.com>,
   -  David Illsley <illsleydc@bigfoot.com>,
   -  Pavol Vaskovic <pali@pali.sk>
   -
   - Alternatively, the contents of this file may be used under the terms of
   - either the GNU General Public License Version 2 or later (the "GPL"), or
   - the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
   - in which case the provisions of the GPL or the LGPL are applicable instead
   - of those above. If you wish to allow use of your version of this file only
   - under the terms of either the GPL or the LGPL, and not to allow others to
   - use your version of this file under the terms of the MPL, indicate your
   - decision by deleting the provisions above and replace them with the notice
   - and other provisions required by the LGPL or the GPL. If you do not delete
   - the provisions above, a recipient may use your version of this file under
   - the terms of any one of the MPL, the GPL or the LGPL.
   -
   - ***** END LICENSE BLOCK ***** -->

<?xml-stylesheet href="chrome://communicator/skin/" type="text/css"?>
<?xml-stylesheet href="chrome://communicator/skin/sidebar/sidebarListView.css" type="text/css"?>

<window id="mozgestSidebar"
        title="mozgestSidebar"
        orient="vertical"
        onload="Startup()"
        xmlns:html="http://www.w3.org/1999/xhtml"
        xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

<script type="application/x-javascript">
<![CDATA[

var doc;

function Startup() {
  doc=document.getElementById("theFrame").contentDocument;
  var gTable = parent.gesturesTable;

  doc.open("text/html","replace");
  doc.write("<HEAD><TITLE>blah</TITLE>");
  doc.write('<STYLE TYPE="text/css">');
  doc.write('TD { font-style: sans-serif; font-size: 10pt }');
  doc.write('</STYLE>');
  doc.write('</HEAD><BODY BGCOLOR="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">');
  doc.write('<TABLE>');

  var j=0;
  for(var i in gTable) {
    createCell(i,gTable[i][0],j);
    j++;
  }

  doc.write("</FONT></BODY></HTML");
  doc.close();
}

function createCell(aGest, aAction, aIndex) {
  doc.write("<TR><TD"+(aIndex%2 ? ' BGCOLOR="#CCCCCC">' : ">"));
  doc.write(aAction+" <NOBR>");
  
  for(var i=0; i<aGest.length; i++) {
    if(aGest[i]=='+') continue;
    var imgUrl = "chrome://mozgest/content/sidebar/X.gif";
    imgUrl = imgUrl.replace(/X/,aGest[i]);
    doc.write('<IMG SRC="'+imgUrl+'" WIDTH="10" HEIGHT="10">');
  }
  doc.write("</NOBR></TD></TR>");
}

]]>
</script>

<iframe id="theFrame" flex="100%" src="about:blank"/>

</window>
